Indexes   

BiDimFeatEdge (Object)

1-D boundary belonging to a feature whose topological result is two dimensional.
Role: This Boundary object may be, for example, the edge of a surface obtained through the extrusion of a spline.
You will create a BiDimFeatEdge object using the Shapes.GetBoundary , HybridShapes.GetBoundary , Sketches.GetBoundary or Selection.SelectElement2 method. Then, you pass it to the operator (such as HybridShapeFactory.AddNewPointOnCurveFromDistance ).
The lifetime of a BiDimFeatEdge object is limited, see Boundary.
Example:
This example asks the end user to select an edge, and creates a point on this edge. Here, both TriDimFeatEdge and BiDimFeatEdge objects are proposed to the user.
 Dim InputObjectType(1)
 Set Document = CATIA.ActiveDocument
 Set Selection = Document.Selection
 Set HybridBodies = Document.Part.HybridBodies
 Set HybridBody = HybridBodies.Item("Geometrical Set.1")
 'We propose to the user that he select an edge
 InputObjectType(0)="TriDimFeatEdge"
 InputObjectType(1)="BiDimFeatEdge"
 Status=Selection.SelectElement2(InputObjectType,"Select an edge",true)
 if (Status = "cancel") then Exit Sub
 Set Curve = Selection.Item(1).Value
 Set HybridShapePointOnCurve = HybridShapeFactory.AddNewPointOnCurveFromDistance(Curve,18.0,False)
 HybridBody.AppendHybridShape HybridShapePointOnCurve
 Document.Part.InWorkObject = HybridShapePointOnCurve
 Document.Part.Update 
 


Copyright © 2006, Dassault Systèmes. All rights reserved.